[Résolu] H2 non compatible avec W10 ?

Discussions sur le module de base de données Base et plus particulièrement sur le langage SQL ou sur les connexions aux SGBD tiers.
Les questions sur les macros doivent être postées dans la section dédiée en dessous.

Modérateur: Vilains modOOs

Règles du forum
Cette section est dédiée au module Base et plus particulièrement sur le langage SQL ou sur les connexions aux SGBD tiers. Vous ne devez pas poster ici de questions sur les macros mais utiliser la section éponyme.
Pour accélérer les réponses, vous pouvez mettre en ligne votre base en joignant un fichier ODB : comment faire.

[Résolu] H2 non compatible avec W10 ?

Messagepar pigino » 04 Mai 2018 13:56

Bonjour,

j'avais créé un thread sur la création d'une base de données en multi-utilisateur (https://forum.openoffice.org/fr/forum/v ... 4&p=307675) et l'on m'avait conseillé, dans mon cas très spécifique, d'utiliser H2 Database, qui fonctionne très bien depuis.
Cependant, l'un des utilisateurs a eu un upgrade de son ordinateur et est passé à windows 10 (les autres utilisateurs vont tous passer à terme à Windows 10).
Depuis ce passage à windows 10, le formulaire et la connexion à la BDD n'est plus effective et un message d'erreur apparaît :
Code : Tout sélectionner   AgrandirRéduire
Type: com.sun.star.lang.WrappedTargetException
Message: file://adresse_du_fichier/fichier.odb
TargetException:
  Type: com.sun.star.sdbc.SQLException
  Message: Le fichier "\\adresse_du_fichier\fichier.odb" n'existe pas..


En allant sur le site de H2, il est indiqué "Currently in development for Windows 8". J'ai quand même essayé de mettre le dernier .jar qui date de 03/2018 sans succès.
Quelqu'un utilise t-il H2 sous W10 sans problème ? Existe t-il une alternative à H2 mais avec un fonctionnement similaire ?
Dernière édition par micmac le 10 Jan 2019 16:08, édité 3 fois.
Raison: [Résolu] remplace [Résolution impossible] + ajout de la coche verte.
LibreOffice 5.4.7.2 (par obligation) sous Windows 7 Entreprise
pigino
NOOuvel adepte
NOOuvel adepte
 
Message(s) : 15
Inscrit le : 17 Jan 2017 09:26

Re: H2 non compatible avec W10 ?

Messagepar Jeff » 05 Mai 2018 11:13

Bonjour,

Si je comprend bien, tu postes ici car tu te sers de Base pour te connecter à une BDD H2 sous W10.

Le problème me semble plus lié à H2, non ?

Voir également du côté des permissions de W10 :
https://forum.openoffice.org/fr/forum/v ... 39&t=48556

À +
À lire avant tout !

Pour télécharger Apache OpenOffice

AOO 4.1.6 sur Xubuntu 18.04_i586 et sur Win 10 pro x64
Avatar de l’utilisateur
Jeff
GourOOu
GourOOu
 
Message(s) : 7929
Inscrit le : 18 Sep 2006 10:40
Localisation : France

Re: H2 non compatible avec W10 ?

Messagepar pigino » 10 Jan 2019 15:31

Aucune solution trouvé
LibreOffice 5.4.7.2 (par obligation) sous Windows 7 Entreprise
pigino
NOOuvel adepte
NOOuvel adepte
 
Message(s) : 15
Inscrit le : 17 Jan 2017 09:26


Retour vers Base de données

Qui est en ligne ?

Utilisateur(s) parcourant ce forum : Aucun utilisateur inscrit et 4 invité(s)